API Reference

Leaderboard

Public endpoint. No authentication required.

Get Leaderboard

GET /v1/leaderboard
periodstring

Time period: 24h, 7d, 30d, all

limitinteger

Max results (max 100)

curl https://api.settled.pro/v1/leaderboard?period=7d&limit=10

Response:

{
  "data": [
    {
      "rank": 1,
      "wallet_address": "HorizonSplendidView...",
      "display_name": "HorizonSplendidView",
      "total_pnl": "4016.108000",
      "win_rate": "0.78",
      "total_trades": 847,
      "total_volume": "12394.130000"
    },
    {
      "rank": 2,
      "wallet_address": "beachboy4...",
      "display_name": "beachboy4",
      "total_pnl": "2951.079000",
      "win_rate": "0.72",
      "total_trades": 612,
      "total_volume": "9837.945000"
    }
  ]
}
← PreviousDeposits & WithdrawalsNext →WebSocket